%global owner michaeljones
%global commit0 a423389dfe2935962b3b27586602cfc3521fb54a
%global srcname breathe
%global sum Adds support for Doxygen xml output to reStructuredText and Sphinx

Name:           python-%{srcname}
Version:        4.2.0
Release:        0.1%{?dist}
Summary:        %{sum}

License:        BSD
URL:            https://github.com/%{owner}/%{srcname}
Source0:        https://github.com/%{owner}/%{srcname}/archive/%{commit0}.tar.gz#/%{srcname}-%{commit0}.tar.gz

BuildArch:      noarch

BuildRequires:  doxygen
BuildRequires:  python2-devel python3-devel
BuildRequires:  python-setuptools
BuildRequires:  python-six
BuildRequires:  python-sphinx
# NOTE: git is only needed because part of the build process checks if it's in
# a git repo
BuildRequires:  git

Requires:  python-six

%description
Breathe is an extension to reStructuredText and Sphinx to be able to read and
render the Doxygen xml output.

%package -n     python2-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python2-%{srcname}}

# This package replaces the old version packaged as just breathe
Provides:       %{srcname} = %{version}-%{release}
Obsoletes:      %{srcname} < %{version}-%{release}

%description -n python2-%{srcname}
Python2 package for %{srcname}

%package -n     python3-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
Python3 package for %{srcname}

%package        doc
Summary:        Documentation files for %{srcname}
# tinyxml uses zlib license
License:        BSD and zlib

%description    doc
This package contains documentation for developer documentation for %{srcname}.

%prep
%autosetup -n %{srcname}-%{commit0}

%build
%py2_build
%py3_build
# Build the documentation
make %{?_smp_mflags} html

%install
%py2_install
%py3_install

%files -n python2-%{srcname}
%{python2_sitelib}/*
%license LICENSE

%files -n python3-%{srcname}
%{_bindir}/breathe-apidoc
%{python3_sitelib}/*
%license LICENSE

%files doc
%doc documentation/build/html
%license LICENSE

%changelog
* Wed Mar 23 2016 Dave Johansen <davejohansen@gmail.com> - 4.2.0-0.1
- Initial RPM release
